(function (Drupal) {
  'use strict';

  // Init the tables.
  var dataTableSelector = document.querySelectorAll('.simple-datatable table');
  var dataTables = [];
  dataTableSelector.forEach(function (dataTable, index) {
    dataTables[index] = new simpleDatatables.DataTable(dataTable, {
      fixedHeight: false,
      labels: {
        info: '',
      },
      paging: false,
      perPage: 9999,
      perPageSelect: false,
      searchable: false,
    });
  });

  dataTables.forEach(function (dataTable, index) {
    // Add glyphicon.
    var tableHeaders = dataTableSelector[index].querySelectorAll('th');

    dataTable.on('datatable.init', function () {
      tableHeaders.forEach(function (tableHeader) {
        // Create Icon element
        var datatableArrowIcon = document.createElement('span');
        datatableArrowIcon.classList.add('icon', 'glyphicon', 'glyphicon-chevron-down', 'icon-after');

        // Append Icon element
        tableHeader.querySelector('a').appendChild(datatableArrowIcon);
      });
    });

    dataTable.on('datatable.sort', function (column, direction) {
      // Remove both classes since we have no way of keeping track.
      tableHeaders[column].querySelector('span')
        .classList.remove('glyphicon-chevron-down', 'glyphicon-chevron-up');
      // Add the corresponding class.
      tableHeaders[column].querySelector('span')
        .classList.add(direction == 'asc' ? 'glyphicon-chevron-up' : 'glyphicon-chevron-down');
    });

  });

})(Drupal);
